Create an Order

The Order Management API facilitates the placement and administration of orders,
encompassing essential functionalities such as updating, creating, reading, and refunding orders.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

An order request for purchasing a giftcard

A model that represents an order within BHN$

string
required
length ≤ 36

Order reference ID, generated and provided by the calling application. Should be used as a co-relation ID or to enforce idempotency.

* Every new order must have a unique external_id

string

Purchase order number used by accounting for purposes such as reconciliation.

string
Defaults to en_US

Locale corresponding to country codes according to ISO 3166 standard.

IE: en_US, fr_CA, en_GB

string
length ≤ 100

Identifies the end-customer on behalf of whom the order is placed.

string
length ≤ 36

Used to tie an order to a specific BHN client account (e.g., partners selling Amazon content via Tango).

order_items
array of objects
required

A list of items to be ordered

order_items*
sender
object

The sender of the order items

For the order to be accepted, at least one of the following is required:
1. External ID
2. Email Address
3. Individual Name + Address

payment_info
object

fees
array of objects

A list of fees applied to the order.

fees
shipping_fee
object

Holds the shipping fee applied to the order

promos
array of objects

A list of promotional codes that have been applied to an order

promos
grand_total
object

Amount to be paid by the sender, after all fees and promotions are applied.

This value can be sent if caller is configured to skip pricing.

meta_data
object

Meta data for the order as a whole, used to keep track of fields not available in the order API.
Will be returned to the caller.
Has no effect on the order.

device_info
object

string
enum

Allowed:
Headers
string

This determines which source configuration is used to process the order. Optional. If not provided, 'default' is used.

May be left blank to use default value.

integer

Maximum amount of time to wait before a response is returned, in milliseconds.
Will return current status of the order after elapsed time

boolean
Defaults to false

Synchronous orders are always a single line item with quantity 1 and always return an E-gift.

Asynchronous orders process each order item in an asynchronous fashion, and caller will be notified whenever order items complete.

Any physical card orders are asynchronous orders automatically.
Any order containing multiple digital cards are asynchronous automatically

string

string

string

boolean
Defaults to false
date-time

Client's exact timestamp when sending the request to us.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json